Create/Configure Ransomware Resilience
Create or configure ransomware resilience settings for a storage array
Path Parameters
- arrayId int32 required
- application/json
Request Body
Request to create or configure ransomware resilience settings
- arrayId integer
configInfo object
accountInfo object
organizationId stringorganizationName stringserviceAccountName stringsiteType stringPossible values: [
BACKUPVAULT,DATAVAULT]isStorageAirgapEnabled booleanthreatScanInfo object
isThreatScanEnabled booleanARDVMs object
machineCredentials object[]
ipAddress stringcredential object
id int32name stringdefenderVMs object
machineCredentials object[]
ipAddress stringcredential object
id int32name stringadditionalInfo object
crrSVMInfo object
cidr stringgateway stringbroadcastDomain string
Responses
- 200
- 400
- 403
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- configJobId integer
error object
errorMessage stringerrorCode int32
{
"configJobId": 0,
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...